int trigPin=13; // broche Trigger
int echoPin=12; // broche Echo
 
long duree;
float distance; // la valeur de la distance est un décimal
 
void setup() {   
  Serial.begin (9600); // Fixe le débit de communication en nombre de caractères par seconde (l'unité est le baud) pour la communication avec le port série de l'ordinateur.   
  pinMode(trigPin, OUTPUT);   // la broche TRIG est attribuée à l'émission du signal
  pinMode(echoPin, INPUT);   // la broche ECHO est attribuée à la réception du signal
  Serial.println("== Debut du programme =="); } // cette ligne écrit sur le moniteur "==Début du programme=="

 
void loop() {     
  digitalWrite(trigPin, LOW);   // La broche TRIG est mise en mode BAS... 
  delayMicroseconds(2);   // ... pendant 2 microsecondes
  digitalWrite(trigPin, HIGH);   // puis la broche TRIG émet un signal...
  delayMicroseconds(10);   //... pendant 10 microsecondes...
  digitalWrite(trigPin, LOW); //... avant de s'arrêter d'émettre
 
     
  duree = pulseIn(echoPin, HIGH); // la broche ECHO envoie un signal à la carte qui correspond à la durée de l'aller/retour de l'onde ultrasonore émise 
   
  
 
 Serial.println("DUREE = ");   // affiche sur la fenêtre "Moniteur serie" du logiciel arduino la mention "DUREE =" puis retour à la ligne 
 Serial.print(duree);     // affiche sur la fenêtre "Moniteur serie" du logiciel arduino la valeur de "duree"
 Serial.println(" microsecondes"); // affiche sur la fenêtre "Moniteur serie" du logiciel arduino la mention "microsecondes" avant d'aller à la ligne

 //calcul de la distance
 distance = (duree*1E-6*340)/2;
 
 Serial.println("DISTANCE = ");     // affiche sur la fenêtre "Moniteur serie" du logiciel arduino la mention "DISTANCE =" puis retour à la ligne
 Serial.print(distance);     // affiche sur la fenêtre "Moniteur serie" du logiciel arduino la valeur de "distance"
 Serial.println(" m"); // affiche sur la fenêtre "Moniteur serie" du logiciel arduino la mention "m" avant d'aller à la ligne
 
 delay(2000); // délai entre deux mesures 
}
