from microbit import *
import utime
# Le module utime fournit des fonctions permettant d’obtenir
# l'heure et la date actuelles,
# de mesurer les intervalles de temps et d’attendre des délais.

while True:
    pin0.write_digital(0)  # la broche 0 TRIG est mise sur "Off"
    utime.sleep_us(2)  # met en attente "le montage" pendant 2 microsecondes
    pin0.write_digital(1)  # indique que la broche 0 est mise sur "On"
    utime.sleep_us(10)  # met en attente "le montage" pendant 10 µs
    pin0.write_digital(0)  # indiquer que la broche 0 est mise sur "Off"

    while pin1.read_digital() == 0:
        # tant que la broche 1 ECHO ne reçoit pas de signal
        pass       # ... ne rien faire
    debut = utime.ticks_us()
    # repère l'instant où le signal est émis en microsecondes
    while pin1.read_digital() == 1:
        # tant que la broche 1  reçoit  de signal ...
        pass   # ... ne rien faire
    fin = utime.ticks_us()  # repère l'instant où le signal est reçu en µs
    temps = round(fin-debut)
    # calcul du temps mis pour faire un aller retour ...
    # ...(entre le module US et un obstacle) en microsecondes
    # display.scroll(temps)
    # permet d'afficher la valeur de la durée d'un aller-retour sur
    # la carte micro:bit grâce aux 25 LED

    distance = round(temps*1E-6*340/2, 2)
    display.scroll(distance)
    # print(distance)
    # permet d'afficher la valeur de la durée d'un aller-retour sur
    # l'écran de l'ordinateur grâce à la fenêtre REPL du logiciel MU

    sleep(1000)
    # permet de faire attendre le programme pendant 1000 ms